<template>
  <div id="">
    <a-layout>
      <a-layout-content style="padding: 0;">
        <a-card class="box-card" style="flex: 1; overflow-y: auto; padding: 0 !important;">
          <pblm-query-terms ref="queryTerms" :showRectifyStatus="false" :showZgXianOrgId="false" @queryByParams="queryByParams" />
        </a-card>
      </a-layout-content>
    </a-layout>
  </div>
</template>

<script>
import pblmQueryTerms from './Components/pblmQueryTerms';
export default {
  data() {
    return {
      currentWorkflowStat: '22-1', // 整改状态 22-1=整改单位内部复核
      queryParams: {
        hasVedio: '',
        adCode: '',
        pblmStat: '',
        inspPblmCate: '',
        ifCasePblm: '',
        nm: '',
        rsName: '',
        adFullName: '',
        startTime: '',
        endTime: '',
        objType: '', // 为空才能不区分督查类别
        inspPblmName: '',
        dataStat: '2', // 整改阶段必须为2
        persId: localStorage.getItem('userid'),
        villType: '0',
        pageSize: 10,
        pageNum: 1,
        pblmTotal: 0,
        pTypeCode: '', // 督查类别
        pYear: '', // 年度
        zgXianOrgId: null, // 接收单位
        zgWh: '', // 整改文号
        workflowStat: '',
        schdYear: moment(new Date().getFullYear().toString()).format('YYYY'),
      },
    };
  },
  components: {
    pblmQueryTerms,
  },
  created() {
    this.queryParams.workflowStat = this.currentWorkflowStat; // important 使用当前流程状态码来获取对应的问题列表
    this.getOverdueAppeal();
  },
  methods: {
    queryByParams(val) {
      console.log(val, 'xxxxxxxx');
    },
    getOverdueAppeal() {},
  },
};
</script>

<style lang='less' scoped>

</style>
